Check free and top availability only on Windows

The regression has been introduced in 7c98912. procps is unavailable
on OS X and the script already reflects that by using sysctl directly.
On the vast majority of Linux distributions both tools are provided
either by procps or busybox.

Change-Id: I222beab7083399b7bf74c9560391da8aa65b7348
Closes-Bug: 1394141
This commit is contained in:
Bartłomiej Piotrowski 2014-11-20 11:20:45 +01:00
parent 6e02b0ded7
commit 7bc336a326
1 changed files with 6 additions and 4 deletions

View File

@ -28,10 +28,12 @@ source functions/vm.sh
source functions/network.sh
# Check for procps package
echo -n "Checking for 'top' and 'free'"
free -V >/dev/null 2>&1 || { echo >&2 " \"free\" is not available in the path, but it's required. Please install \"procpc\" package. Aborting."; exit 1; }
top -v >/dev/null 2>&1 || { echo >&2 " \"top\" is not available in the path, but it's required. Please install \"procpc\" package. Aborting."; exit 1; }
echo "OK"
if [ "$(uname -s | cut -c1-6)" = "CYGWIN" ]; then
echo -n "Checking for 'top' and 'free'"
free -V >/dev/null 2>&1 || { echo >&2 " \"free\" is not available in the path, but it's required. Please install \"procps\" package. Aborting."; exit 1; }
top -v >/dev/null 2>&1 || { echo >&2 " \"top\" is not available in the path, but it's required. Please install \"procps\" package. Aborting."; exit 1; }
echo "OK"
fi
# Check for expect
echo -n "Checking for 'expect'... "